
QGIS Application - Bug report #15466

Freezes when attempting to edit rule based styles after adding field to table

2016-08-19 09:02 PM - Patrick Dunford

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Xubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 23392

Description

Using the attached project and layer files

Open the properties of the layer

Go to the Style tab

Select rule based

Try to edit the single rule which is displayed

As soon as you click the edit pencil,the edit dialog is not displayed and the application is frozen. You cannot close the dialog therefore you

cannot do anything else except kill.

786a59c

History

#1 - 2016-08-19 11:08 PM - Patrick Dunford

Not related to adding a field to the table. I restored an earlier copy of the table from backup (without the additional field) and observed same behaviour,

unable to edit rules.

Have no problems on 2.16

#2 - 2016-09-22 08:58 AM - Albert Teixido

same issue here #15317

#3 - 2017-01-03 07:21 AM - Patrick Dunford

Still a problem on 2.18.2, but not on 2.99 110ffe2

#4 - 2017-02-04 02:50 AM - Giovanni Manghi

- Priority changed from Normal to High

#5 - 2017-03-07 04:09 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to duplicate

duplicate of #15317

2025-04-27 1/2



#6 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown

Files

test1.zip 167 KB 2016-08-19 Patrick Dunford
